<!DOCTYPE html>
<?php $mts_options = get_option(MTS_THEME_NAME); ?>
<html class="no-js" <?php language_attributes(); ?>>
<head itemscope itemtype="http://schema.org/WebSite">
	<meta charset="<?php bloginfo('charset'); ?>">
	<!-- Always force latest IE rendering engine (even in intranet) & Chrome Frame -->
	<!--[if IE ]>
	<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
	<![endif]-->
	<link rel="profile" href="http://gmpg.org/xfn/11" />
	<?php mts_meta(); ?>
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<?php wp_head(); ?>
</head>
<body id="blog" <?php body_class('main'); ?> itemscope itemtype="http://schema.org/WebPage">
	<div id="move-to-top" class="animate hiding"><i class="fa fa-chevron-up"></i></div>
	<div class="main-container">
		<?php if ( $mts_options['mts_header_section2'] == '1' || $mts_options['mts_show_nav'] == '1') { ?>
			<header class="main-header main-header-home" role="banner" itemscope itemtype="http://schema.org/WPHeader" <?php if(!empty($mts_options['mts_sticky_nav']) && $mts_options['mts_sticky_nav'] == '1') { echo 'id="sticky"'; } ?>>
				<div class="main-header-container container">
					<div class="logo-wrap">
						<?php if ($mts_options['mts_logo'] != '') { ?>
							<?php if( is_front_page() || is_home() || is_404() || is_page_template( 'page-blog.php' ) ) { ?>
									<h1 id="logo" class="image-logo" itemprop="headline">
										<a href="<?php echo home_url(); ?>"><img src="<?php echo $mts_options['mts_logo']; ?>" alt="<?php bloginfo( 'name' ); ?>"></a>
									</h1><!-- END #logo -->
							<?php } else { ?>
								  <h2 id="logo" class="image-logo" itemprop="headline">
										<a href="<?php echo home_url(); ?>"><img src="<?php echo $mts_options['mts_logo']; ?>" alt="<?php bloginfo( 'name' ); ?>"></a>
									</h2><!-- END #logo -->
							<?php } ?>
						<?php } else { ?>
							<?php if( is_front_page() || is_home() || is_404() || is_page_template( 'page-blog.php' ) ) { ?>
									<h1 id="logo" class="text-logo" itemprop="headline">
										<a href="<?php echo home_url(); ?>"><?php bloginfo( 'name' ); ?></a>
									</h1><!-- END #logo -->
							<?php } else { ?>
								  <h2 id="logo" class="text-logo" itemprop="headline">
										<a href="<?php echo home_url(); ?>"><?php bloginfo( 'name' ); ?></a>
									</h2><!-- END #logo -->
							<?php } ?>
							<div class="site-description" itemprop="description">
								<?php bloginfo( 'description' ); ?>
							</div>
						<?php } ?>
					</div>

					<?php if ($mts_options['mts_show_nav'] == '1') { ?>
				        <div class="secondary-navigation" role="navigation" itemscope itemtype="http://schema.org/SiteNavigationElement">
				    		<nav id="navigation" class="clearfix">
				    			<a href="#" id="pull" class="toggle-mobile-menu"><?php _e('Menu','mythemeshop'); ?></a>
				    			<?php if ( has_nav_menu( 'primary-menu' ) ) { ?>
				    				<?php wp_nav_menu( array( 'theme_location' => 'primary-menu', 'menu_class' => 'menu clearfix', 'container' => '', 'walker' => new mts_menu_walker ) ); ?>
				    			<?php } else { ?>
				    				<ul class="menu clearfix">
				    					<?php
				    						//wp_list_pages('title_li=');
				    						wp_list_categories('title_li=');
				    					?>
				    				</ul>
				    			<?php } ?>
				    		</nav>
				    	</div>
				    <?php } ?>
				</div>
			</header>
		<?php } ?>
