<?php
$mts_options = get_option(MTS_THEME_NAME);
get_header();
?>
    <div class="main-header-container-cover">
        <div class="single container top-container">
            <span class="title-container">
                <h1 class="postsby">
                    <span><?php _e("Search Results for:", "mythemeshop"); ?></span> <?php the_search_query(); ?>
                </h1>
            </span>
        </div>
    </div>
    <section id="homepage-blog" class="homepage-section homepage-blog blog">
        <div class="inside container">
            <?php if(mts_article_class() != 'ss-full-width') { ?>
                <?php get_sidebar('left'); ?>
            <?php } ?>
            <div id="content_box" class="<?php echo mts_article_class(); ?>">

                    <?php if( have_posts() ) : while ( have_posts() ) : the_post(); ?>

                    <article id="post-<?php the_ID(); ?>" <?php post_class('g post'); ?>>
                        <div class="single_post clearfix">
                            <?php if( has_post_thumbnail() ): ?>
                                <div class="featured-thumbnail">
                                    <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" >
                                        <?php the_post_thumbnail( 'featured' ); ?>
                                        <?php if (function_exists('wp_review_show_total')) wp_review_show_total(true, 'latestPost-review-wrapper'); ?>
                                    </a>
                                </div>
                            <?php endif; ?>
                            <header>
                                <h2 class="single-title">
                                    <a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" >
                                        <?php the_title(); ?>
                                    </a>
                                </h2>
                                
                                <?php mts_the_postinfo_custom(); ?>

                            </header><!--.headline_area-->
                            <div class="post-single-content box mark-links">
                                <?php if ( isset($mts_options['mts_homepage_blog_layout']) && $mts_options['mts_homepage_blog_layout'] == '1' ){ ?>
                                    <?php echo mts_excerpt(27); ?>
                                    <a class="reply" href="<?php the_permalink(); ?>"><?php _e("Continue Reading","mythemetop"); ?></a>
                                <?php } else { ?>
                                       <?php if($mts_options['mts_full_posts'] == '0'){ ?>
                                           <?php echo mts_excerpt(50); ?>
                                           <a class="reply" href="<?php the_permalink(); ?>"><?php _e("Read more","mythemetop"); ?></a>
                                       <?php } else { ?>
                                           <?php the_content(); ?>
                                           <?php if (mts_post_has_moretag()){ ?>
                                           <a class="reply" href="<?php the_permalink() ?>" title="<?php the_title(); ?>"><?php _e('Read more','mythemeshop'); ?></a>
                                <?php }}} ?>
                            </div><!--.post-single-content box mark-links-->
                        </div><!--.single_post clearfix-->

                    </article><!--.g post-->

                <?php endwhile; else: ?>
                    <div class="no-results">
                        <h2><?php _e('We apologize for any inconvenience, please hit back on your browser or use the search form below.', 'mythemeshop'); ?></h2>
                        <?php get_search_form(); ?>
                    </div><!--noResults-->
                <?php endif; ?>
                <!--Start Pagination-->
                <?php if (isset($mts_options['mts_pagenavigation_type']) && $mts_options['mts_pagenavigation_type'] == '1' ) { ?>
                    <?php $additional_loop = 0; mts_pagination($additional_loop['max_num_pages']); ?>
                <?php } else { ?>
                    <div class="pagination pagination-previous-next">
                        <ul>
                            <li class="nav-previous"><?php next_posts_link( '<i class="fa fa-chevron-left"></i> '. __( 'Previous', 'mythemeshop' ) ); ?></li>
                            <li class="nav-next"><?php previous_posts_link( __( 'Next', 'mythemeshop' ).' <i class="fa fa-chevron-right"></i>' ); ?></li>
                        </ul>
                    </div>
                <?php } ?>
                <!--End Pagination-->
            </div>
            <?php get_sidebar(); ?>
        </div>
    </section>
<?php //endif; ?>
<?php get_footer(); ?>